# Healthy recipe only recommendations for DA

### Recommend for chosen mealtime

[Full API reference](https://api.whisk.com/spec/#/HealthRecommendationsAPI/HealthRecommendationsAPI_Recommend)

```
curl -X GET "https://api.whisk.com/health/recommendations/v2/recommend?meal_time=MEAL_TIME_BREAKFAST&health_profile.height=1.60&health_profile.weight=55&health_profile.activity.leisure=LEISURE_ACTIVITY_LIGHT&health_profile.activity.living=LIVING_ACTIVITY_MODERATE&health_profile.daily_kcal_goal=1700" -H "accept: application/json" -H "Authorization: Bearer %USER_TOKEN%"
```

### Recommend for chosen local time

[Full API reference](https://api.whisk.com/spec/#/HealthRecommendationsAPI/HealthRecommendationsAPI_Recommend)

```
curl -X GET "https://api.whisk.com/health/recommendations/v2/recommend?local_time.minutes=25&local_time.hours=10&offset_timezone=-4&health_profile.height=1.60&health_profile.weight=55&health_profile.activity.leisure=LEISURE_ACTIVITY_LIGHT&health_profile.activity.living=LIVING_ACTIVITY_MODERATE&health_profile.daily_kcal_goal=1700" -H "accept: application/json" -H "Authorization: Bearer %USER_TOKEN%"
```

### Recommend for the whole day

[Full API reference](https://api.whisk.com/spec/#/HealthRecommendationsAPI/HealthRecommendationsAPI_RecommendDaily)

```
curl -X GET "https://api.whisk.com/health/recommendations/v2/recommend/daily?date.year=2022&date.month=11&date.day=16&offset_timezone=2&health_profile.height=1.60&health_profile.weight=55&health_profile.activity.leisure=LEISURE_ACTIVITY_ACTIVE&health_profile.activity.living=LIVING_ACTIVITY_HEAVY&health_profile.daily_kcal_goal=1700" -H "accept: application/json" -H "Authorization: Bearer %USER_TOKEN%"
```

#### Get recommended nutrition goals with levels

[Full API reference](https://api.whisk.com/spec/#/HealthRecommendationsAPI/HealthRecommendationsAPI_Goal)

`health_profile.daily_kcal_goal` is optional. We recommend not to pass it to let Whisk recommendation algorithm calculate it based on other parameters.

```
curl -X GET "https://api.whisk.com/health/recommendations/v2/goal?date.year=2022&date.month=11&date.day=15&health_profile.height=1.60&health_profile.weight=55&health_profile.activity.leisure=LEISURE_ACTIVITY_MODERATE&health_profile.activity.living=LIVING_ACTIVITY_VERY_LIGHT" -H "accept: application/json" -H "Authorization: Bearer %USER_TOKEN%"
```

#### Example response

The fields below enable to render fine-tuned color-based indication for recommended nutrition values and how logged food data fits into the recommendations

`nutrition_goal` represents the complete daily goal for different nutrients

`nutrition_goals_per_meal` represents nutrition goal breakdown by mealtype. It sums up to `nutrition_goal` values.

`levels_daily` represents how different levels should be rendered within a certain goal

e.g. daily goal for `FAT` (from `nutrition_goal` field)  is 72g and `NUTRITION_LEVEL_NORMAL` is between 0.8 and 1.2. It means logged nutrition values for FAT between 57.6g and 86.4g are considered normal and should be rendered in a green color (depending on the UI)

`levels_per_meal` represents recommended nutrition levels for each mealtype

e.g. recommended value for Carbohydrates (`NUTRITION_CODE_CHOCDF` from `nutrition_goals_per_meal` field) for Breakfast is 107g and `NUTRITION_LEVEL_NORMAL` is between 0.8 and 1. It means logged nutrition values for Carbohydrates between 85.6g and 107g are considered normal.

```json
{
  "nutrition_goal": [
    {
      "goal": 2600,
      "code": "NUTRITION_CODE_ENERC_KCAL",
      "unit_name": "NUTRITION_UNIT_KCAL"
    },
    {
      "goal": 130,
      "code": "NUTRITION_CODE_PROCNT",
      "unit_name": "NUTRITION_UNIT_G"
    },
    {
      "goal": 72.22222222222223,
      "code": "NUTRITION_CODE_FAT",
      "unit_name": "NUTRITION_UNIT_G"
    },
    {
      "goal": 357.50000000000006,
      "code": "NUTRITION_CODE_CHOCDF",
      "unit_name": "NUTRITION_UNIT_G"
    }
  ],
  "levels_daily": {
    "levels": [
      {
        "level": "NUTRITION_LEVEL_LOW",
        "range": {
          "less_then": {
            "value": 0.8
          }
        }
      },
      {
        "level": "NUTRITION_LEVEL_NORMAL",
        "range": {
          "between": {
            "left": 0.8,
            "is_left_closed": true,
            "right": 1.2,
            "is_right_closed": true
          }
        }
      },
      {
        "level": "NUTRITION_LEVEL_HIGH",
        "range": {
          "greater_then": {
            "value": 1.2
          }
        }
      }
    ]
  },
  "nutrition_goals_per_meal": [
    {
      "meal_time": "MEAL_TIME_BREAKFAST",
      "goal": [
        {
          "goal": 107.25000000000001,
          "code": "NUTRITION_CODE_CHOCDF",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 21.666666666666664,
          "code": "NUTRITION_CODE_FAT",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 39,
          "code": "NUTRITION_CODE_PROCNT",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 780,
          "code": "NUTRITION_CODE_ENERC_KCAL",
          "unit_name": "NUTRITION_UNIT_KCAL"
        }
      ]
    },
    {
      "meal_time": "MEAL_TIME_DINNER",
      "goal": [
        {
          "goal": 107.25000000000001,
          "code": "NUTRITION_CODE_CHOCDF",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 21.666666666666664,
          "code": "NUTRITION_CODE_FAT",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 39,
          "code": "NUTRITION_CODE_PROCNT",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 780,
          "code": "NUTRITION_CODE_ENERC_KCAL",
          "unit_name": "NUTRITION_UNIT_KCAL"
        }
      ]
    },
    {
      "meal_time": "MEAL_TIME_LUNCH",
      "goal": [
        {
          "goal": 107.25000000000001,
          "code": "NUTRITION_CODE_CHOCDF",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 21.666666666666664,
          "code": "NUTRITION_CODE_FAT",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 39,
          "code": "NUTRITION_CODE_PROCNT",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 780,
          "code": "NUTRITION_CODE_ENERC_KCAL",
          "unit_name": "NUTRITION_UNIT_KCAL"
        }
      ]
    },
    {
      "meal_time": "MEAL_TIME_SNACK",
      "goal": [
        {
          "goal": 35.75000000000001,
          "code": "NUTRITION_CODE_CHOCDF",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 7.222222222222223,
          "code": "NUTRITION_CODE_FAT",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 13,
          "code": "NUTRITION_CODE_PROCNT",
          "unit_name": "NUTRITION_UNIT_G"
        },
        {
          "goal": 260,
          "code": "NUTRITION_CODE_ENERC_KCAL",
          "unit_name": "NUTRITION_UNIT_KCAL"
        }
      ]
    }
  ],
  "levels_per_meal": {
    "levels": [
      {
        "level": "NUTRITION_LEVEL_VERY_LOW",
        "range": {
          "less_then": {
            "value": 0.5
          }
        }
      },
      {
        "level": "NUTRITION_LEVEL_LOW",
        "range": {
          "between": {
            "left": 0.5,
            "is_left_closed": true,
            "right": 0.8
          }
        }
      },
      {
        "level": "NUTRITION_LEVEL_NORMAL",
        "range": {
          "between": {
            "left": 0.8,
            "is_left_closed": true,
            "right": 1,
            "is_right_closed": true
          }
        }
      },
      {
        "level": "NUTRITION_LEVEL_ABOVE_NORMAL_ACCEPTABLE",
        "range": {
          "between": {
            "left": 1,
            "right": 1.2,
            "is_right_closed": true
          }
        }
      },
      {
        "level": "NUTRITION_LEVEL_HIGH",
        "range": {
          "greater_then": {
            "value": 1.2
          }
        }
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/healthy-meal-recommendations/healthy-recipe-only-recommendations-for-da.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
